### Method

# Aravis Camera gv_get_persistent_ip

since: 0.8.22

#### Declaration [src]

    void
    arv_camera_gv_get_persistent_ip (
      ArvCamera* camera,
      GInetAddress** ip,
      GInetAddressMask** mask,
      GInetAddress** gateway,
      GError** error
    )

#### Description [src]

Get the persistent IP address setting of camera.

Available since: 0.8.22

#### Parameters

`ip`

  Type: `GInetAddress`

  A IP address placeholder.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`mask`

  Type: `GInetAddressMask`

  A netmask placeholder, `NULL` to ignore.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`gateway`

  Type: `GInetAddress`

  A gateway IP address placeholder, `NULL` to ignore.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.